interface GitlabProjDetail {
  id: number;
  description: string;
  name: string;
  path_with_namespace: string;
  web_url: string;
  avatar_url?: any;
  message?: string;
}

interface GitlabPipeline {
  id: number;
  project_id: number;
  sha: string;
  ref: string;
  status: string;
  source: string;
  created_at: string;
  updated_at: string;
  web_url: string;
}

interface GitlabError {
  message: string;
}

interface GitlabUser {
  id: number;
  username: string;
  name: string;
  state: string;
  avatar_url: string;
  web_url: string;
}

interface GitlabPipelineDetail {
  id: number;
  project_id: number;
  ref: string;
  status: string;
  web_url: "https://git.n.xiaomi.com/miai-fe/fe/ai-scene-review-fe/-/pipelines/7646046";
  user: GitlabUser;
  started_at: string;
  finished_at: string;
  duration: number;
  queued_duration: number;
  message?: string;
}

interface GitlabPipelineDetailWithCreateAt extends GitlabPipelineDetail {
  created_at: string;
}

interface GitlabBadge {
  id: number;
  name: string;
  link_url: string;
  image_url: string;
  rendered_link_url: string;
  rendered_image_url: string;
  kind: "project" | "group";
}

interface GitlabBadgeSetParams {
  id: number;
  badge_id?: number;
  link_url: string;
  image_url: string;
  rendered_link_url: string;
  rendered_image_url: string;
}
